package org.system.newEditor;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JTextPane;
import javax.swing.text.MutableAttributeSet;
import javax.swing.text.SimpleAttributeSet;
import javax.swing.text.StyleConstants;
import javax.swing.text.StyledDocument;

/**
 * Boite de dialogue avec quelques informations sur le groupe et l'diteur
 * @author Groupe 6 - 2009
 */
public class DialogAPropos extends JDialog{

	private static final long serialVersionUID = 1L;
	
	private JButton okBouton;
	
	public DialogAPropos(JFrame parent){
		super(parent, "A propos de l'Editeur de niveaux", true);
		this.setSize(320, 230);
		this.setLocationRelativeTo(null);
		this.setResizable(false);
		this.setDefaultCloseOperation(JDialog.HIDE_ON_CLOSE);
		
		this.initialiserComposant();
	}
	
	void initialiserComposant(){
		JTextPane creditArea = new JTextPane();
		
		creditArea.setEditable(false);
		creditArea.setOpaque(false);
		
		StyledDocument doc = creditArea.getStyledDocument();		
		MutableAttributeSet center = new SimpleAttributeSet();		
		StyleConstants.setAlignment(center, StyleConstants.ALIGN_CENTER);
		doc.setParagraphAttributes(0, 0, center, true);
		
		String aProposText = "Editeur ralis par un groupe d'tudiants du campus de Fouillole 2009-2010 :\n\n" +
			"Simmon Anthony\nFoule Maroussia\nGrelet Sebastien\nMayenaquiby Jlyssa\nEschylle Emily";
		
		creditArea.setText(aProposText);
		
		okBouton = new JButton("I love you guys");
		JPanel boutonPanel = new JPanel();
		boutonPanel.add(okBouton);
		
		okBouton.addActionListener(new ActionListener(){
			public void actionPerformed(ActionEvent arg0) {
				setVisible(false);
			}
		});
		
		this.getContentPane().add(creditArea, BorderLayout.CENTER);
		this.getContentPane().add(boutonPanel, BorderLayout.SOUTH);

	}

}
