package org.system.newEditor;

import java.awt.Dimension;
import java.io.File;

import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JPanel;

public class PanneauAideBatiment extends JPanel{
	
	private static final long serialVersionUID = 1L;
	
	private String[] listeBatiment = null;
	private PanneauTexture panneauTexture;
	private JLabel imageAide;

	public PanneauAideBatiment(PanneauTexture panneauTexture){
		setVisible(false);
		this.panneauTexture = panneauTexture;
		imageAide = new JLabel();
		
		setPreferredSize(new Dimension(230, 100));
		chargerListeBatiment();
		
		add(imageAide);
	}
	
	public void chargerListeBatiment(){
		File repertoire = new File("Graphics/Editeur/aideBatiment");
		listeBatiment = repertoire.list();
	}
	
	public void checkImage(String nomImage){
		boolean found = false;
		for(int i=0; i<listeBatiment.length; i++){
			if(listeBatiment[i].equals(nomImage)){
				imageAide.setIcon(new ImageIcon("Graphics/Editeur/aideBatiment/" + listeBatiment[i]));
				panneauTexture.setSize(260, 590);
				setVisible(true);
				found = true;
			}
		}
		
		if(found == false){
			setVisible(false);
			panneauTexture.setSize(260, 520);
		}
	}
	
	
}
