package org.system.newEditor;

import org.system.Carte;
import org.system.Case;

/**
 * Contient une rfrence vers une case et sa position x y sur la carte
 * @author Groupe 6 - 2009
 */
public class SauvegardeCase {
	
	private Case sauvegarde;
	private int x;
	private int y;
	
	/** On fait une copie de la case dans le constructeur */
	public SauvegardeCase(Case sauvegarde, int x, int y){
		this.sauvegarde = new Case(sauvegarde);
		this.x = x;
		this.y = y;
	}
	
	public Case getCase() {
		return sauvegarde;
	}

	public int getX() {
		return x;
	}

	public int getY() {
		return y;
	}
	
	public void setX(int x) {
		this.x = x;
	}

	public void setY(int y) {
		this.y = y;
	}
	
	public void translater(Carte carte, int vx, int vy){
		if((x+vx) >= 0 && (x+vx) < carte.getLongueur() && (y+vy) >= 0 && (y+vy) < carte.getLargeur()){
			x += vx;
			y += vy;
		}
	}
}
