package org.system.newEditor;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JMenuItem;

import org.sprite.animed.Pnj;
import org.system.ListePnj;

/**
 * Bouton de menu pour supprimer un pnj en particulier dans la liste de pnj de la carte
 * Le bouton est plac dans MenuClicDroit.java
 * @author Groupe 6 - 2009
 */
public class BoutonSupprimerPnj extends JMenuItem implements ActionListener{

	private static final long serialVersionUID = 1L;
	/** Rfrence du pnj a supprimer */
	private Pnj pnj;
	/** Liste des pnj */
	private ListePnj liste;
	
	public BoutonSupprimerPnj(Pnj pnj, ListePnj liste){
		super(pnj.getNomObjet(), pnj.getIcon());
		this.pnj = pnj;
		this.liste = liste;
		
		this.addActionListener(this);
	}

	/** Action : supprimer le pnj dans la liste */
	public void actionPerformed(ActionEvent arg0) {
		liste.remove(pnj);
	}
}
