package org.system.newEditor;

import java.awt.BorderLayout;
import java.awt.Dimension;

import javax.swing.BorderFactory;
import javax.swing.ImageIcon;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

public class PanneauPnj extends JDialog{
	
	private static final long serialVersionUID = 1L;
	
	static protected final String[] listePnj = {"troll","bat","boule","plante","lapin","mouton","poule"};
	
	private static JLabel pnjSelectionnee;
	private static ImageIcon iconePnjSelectionnee;
	
	private BoutonPnj[] boutonPnj;

	public PanneauPnj(JFrame parent){
		super(parent, "Liste des pnj", false);
		
		this.setSize(220, 200);
		this.setLocationRelativeTo(null);
		this.setResizable(false);
		this.setDefaultCloseOperation(JFrame.HIDE_ON_CLOSE);
		
		pnjSelectionnee = new JLabel("plante");
		iconePnjSelectionnee = new ImageIcon(getClass().getResource("/Graphics/Personnage/Monstre/plante/"+"im0.gif"));
		pnjSelectionnee.setIcon(iconePnjSelectionnee);
		
		JPanel conteneurPanel = new JPanel();
		JPanel statusPanel = new JPanel();
		JPanel pnjPanel = new JPanel();
		
		pnjPanel.setPreferredSize(new Dimension(210, 100));
		pnjPanel.setBorder(BorderFactory.createTitledBorder("Liste des pnj"));
		
		boutonPnj = new BoutonPnj[listePnj.length];
		
		for(int i=0;i<listePnj.length;i++){ 
			boutonPnj[i] = new BoutonPnj(listePnj[i]);
			boutonPnj[i].setIcon(new ImageIcon(getClass().getResource("/Graphics/Personnage/Monstre/"+listePnj[i]+"/im0.gif")));
			pnjPanel.add(boutonPnj[i]);
		}
		
		statusPanel.add(pnjSelectionnee);
		
		conteneurPanel.add(pnjPanel);
		conteneurPanel.add(statusPanel);
		
		this.getContentPane().add(conteneurPanel, BorderLayout.CENTER);
	}
	

	public static void setPnjSelectionnee(String nomTexture, ImageIcon icone) {
		PanneauPnj.pnjSelectionnee.setText(nomTexture);
		PanneauPnj.pnjSelectionnee.setIcon(icone);
	}
	
	public static String getPnjSelectionnee() {
		return pnjSelectionnee.getText();
	}
}
