package org.system.newEditor;

import java.awt.BorderLayout;
import java.awt.Dimension;

import javax.swing.BorderFactory;
import javax.swing.ImageIcon;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

public class PanneauTransport extends JDialog {

private static final long serialVersionUID = 1L;
	
	static protected final String[] listeTransport = {"ballon","ballon2","bateau","gbateau","charette","voiture"};
	static public boolean FranchAir[] = {true,true,false,false,false,false};
	static public boolean FranchMer[] = {true,true,true,true,false,false};
	static public boolean FranchSol[] = {true,true,false,false,true,true};
	
	private static JLabel transportSelectionne;
	private static ImageIcon iconeTransportSelectionne;
	
	private BoutonTransport[] boutonTransport;

	public PanneauTransport(JFrame parent){
		super(parent, "Liste des transports", false);
		
		this.setSize(220, 200);
		this.setLocationRelativeTo(null);
		this.setResizable(false);
		this.setDefaultCloseOperation(JFrame.HIDE_ON_CLOSE);
		
		/* EG 2012 */
		// Rcuprer la liste des rpertoire de /Graphics/Transport
		// Crer une liste gnrique de tous ce qu'il y a dedans
		transportSelectionne = new JLabel(listeTransport[0]);
		iconeTransportSelectionne = new ImageIcon(getClass().getResource("/Graphics/Transport/"+listeTransport[0]+"/im0.gif"));
		transportSelectionne.setIcon(iconeTransportSelectionne);
		
		JPanel conteneurPanel = new JPanel();
		JPanel statusPanel = new JPanel();
		JPanel transportPanel = new JPanel();
		
		transportPanel.setPreferredSize(new Dimension(210, 100));
		transportPanel.setBorder(BorderFactory.createTitledBorder("Liste des transports"));
		
		boutonTransport = new BoutonTransport[listeTransport.length];
		
		for(int i=0;i<listeTransport.length;i++){ 
			boutonTransport[i] = new BoutonTransport (listeTransport[i],i);
			boutonTransport[i].setIcon(new ImageIcon(getClass().getResource("/Graphics/Transport/"+listeTransport[i]+"/im0.gif")));
			transportPanel.add(boutonTransport[i]);
		}
		
		statusPanel.add(transportSelectionne);
		
		conteneurPanel.add(transportPanel);
		conteneurPanel.add(statusPanel);
		
		this.getContentPane().add(conteneurPanel, BorderLayout.CENTER);
	}
	
	static public int indice = 0;
	
	public static void setTransportSelectionne(String nomTexture, int i,ImageIcon icone) {
		PanneauTransport.transportSelectionne.setText(nomTexture);
		PanneauTransport.transportSelectionne.setIcon(icone);
		PanneauTransport.indice = i;
	}
	
	public static String getTransportSelectionne() {
		return transportSelectionne.getText();
	}
	
}


